## ocaml-trie 1.0.0

=== Makefile ===
default:
	dune build

install:
	dune install

uninstall:
	dune uninstall

doc:
	dune build @doc

clean:
	dune clean

runtest:
	dune runtest

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev --root .

=== debian/changelog ===
ocaml-trie (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #969046)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 17:22:47 +0200

=== debian/control ===
Source: ocaml-trie
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/kandu/trie
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-trie
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-trie.git

Package: libtrie-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: strict impure trie tree in OCaml (dev)
 This OCaml library provides strict impure trie tree.
 .
 This package contains the development stuff needed to use the
 trie library in your programs.

Package: libtrie-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: strict impure trie tree in OCaml (runtime)
 This OCaml library provides strict impure trie tree.
 .
 This package contains the runtime libraries for programs using
 trie.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p trie

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/trie/LICENSE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p trie
endif

=== debian/watch ===
version=3
https://github.com/kandu/trie/releases .*/archive/v?([0-9.]+)\.tar\.gz
